/********************************************************
 * File: jbdir.h
 * Created at Sun Jan 28 22:10:26 MSK 2001 by raorn // raorn@binec.ru
 *
 * $Id: jbdir.h,v 1.3 2001/03/10 11:18:52 raorn Exp $
 *******************************************************/
#ifndef SHARED_JBDIR_H
#define SHARED_JBDIR_H

#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#elif HAVE_SYS_TIME
# include <sys/time.h>
#else
# include <time.h>
#endif

struct FileEntry {
  struct FileEntry *Next;
  uchar Name[100];
  time_t Date;
  ulong Size;
};

bool ReadDir(uchar * dir, struct jbList *filelist, bool(*acceptfunc) (uchar * filename));
bool ScanDir(uchar * dir, void (*func) (uchar * file));
struct FileEntry *GetFileEntry(uchar * file);

#endif
