/********************************************************
 * File: mb.h
 * Created at Sun Jan 28 22:10:30 MSK 2001 by raorn // raorn@binec.ru
 *
 * $Id: mb.h,v 1.1.1.1 2002/10/28 19:55:28 raorn Exp $
 *******************************************************/
#ifndef MB_H
#define MB_H

#include "memmessage.h"
#include "cfg.h"

struct Messagebase {
  uchar *name;
  uchar *desc;
  bool active;
  bool(*beforefunc) (void);
  bool(*afterfunc) (bool success);
  bool(*importfunc) (struct MemMessage * mm, struct Area * area);
  bool(*scanfunc) (struct Area * area, bool usehw, bool ignorehw, ulong max, struct jbList *msglist, bool(*acceptfunc) (struct MemMessage * mm), bool(*handlefunc) (struct MemMessage * mm));
};

bool AcceptAny(struct MemMessage * mm);
bool AcceptNotSent(struct MemMessage * mm);
bool AcceptNotRecd(struct MemMessage * mm);

#endif
