/********************************************************
 * File: pattern.c
 * Created at Sun Jan 28 22:10:26 MSK 2001 by raorn // raorn@binec.ru
 * Pattern matching
 * $Id: pattern.c,v 1.4 2001/11/29 22:23:19 raorn Exp $
 *******************************************************/
#include <machine/defs.h>

#include <string.h>
#include <ctype.h>
#ifdef HAVE_GNU_FNMATCH
# include <fnmatch.h>
#else
# include "fnmatch.h"
#endif

#include "pattern.h"

bool CheckPattern(uchar * pattern)
{
  return (TRUE);
}

bool MatchPattern(uchar * pattern, uchar * str)
{
  return fnmatch(pattern, str, FNM_CASEFOLD) == 0 ? TRUE : FALSE;
}

bool IsPattern(uchar * pat)
{
  if (strchr(pat, '?') || strchr(pat, '*') || strchr(pat, '['))
    return (TRUE);

  return (FALSE);
}
