/********************************************************
 * File: file.h
 * Created at Sun Jan 28 22:10:26 MSK 2001 by raorn // raorn@binec.ru
 *
 * $Id: file.h,v 1.2 2003/07/17 04:24:21 lmike Exp $
 *******************************************************/
#ifndef SHARED_FILE_H
#define SHARED_FILE_H

#ifdef HAVE_LIMITS_H
#include <limits.h>
#endif

#if defined(PATH_MAX)
   #define CE_PATHMAX PATH_MAX + 1
#elif defined(MAX_PATH)
   #define CE_PATHMAX MAX_PATH + 1
#else
   #define CE_PATHMAX 256 + 1
#endif

bool Exists(uchar * file);
bool Lock(uchar * basename, bool bylink, bool usepid);
void Unlock(uchar * basename);

#endif
