/********************************************************
 * File: mb.c
 * Created at Sun Jan 28 22:10:30 MSK 2001 by raorn // raorn@binec.ru
 * Common messagebases stuff
 * $Id: mb.c,v 1.1.1.1 2002/10/28 19:55:28 raorn Exp $
 *******************************************************/
#include "crashecho.h"

#include "mb_msg.h"
#ifdef MSGBASE_JAM
# include "mb_jam.h"
#endif

struct Messagebase AvailMessagebases[] = {
  {"MSG",
   "Standard *.msg messagebase as specified in FTS-1",
   0,
   msg_beforefunc,
   msg_afterfunc,
   msg_importfunc,
   msg_scanfunc},
#ifdef MSGBASE_JAM
  {"JAM",
   "Joaquim-Andrew-Mats messagebase format",
   0,
   jam_beforefunc,
   jam_afterfunc,
   jam_importfunc,
   jam_scanfunc},
#endif
  {NULL,                        /* NULL here marks the end of the array */
   NULL,
   0,
   NULL,
   NULL,
   NULL,
   NULL}
};

bool AcceptAny(struct MemMessage * mm)
{
  return TRUE;
}

bool AcceptNotSent(struct MemMessage * mm)
{
  if ((mm->Attr & (FLAG_SENT|FLAG_LOCAL)) == FLAG_LOCAL)
    return TRUE;

  return FALSE;
}

bool AcceptNotRecd(struct MemMessage * mm)
{
  if ((mm->Attr & (FLAG_RECD|FLAG_LOCAL)) == 0)
    return TRUE;

  return FALSE;
}
